<?php 
require_once('includes/wrapper/header.php');

$pokemon = New PokemonGo();

$poketime = json_decode($pokemon->getStatus(), true);

 ?>
<div class="container">
<div class="row">

<div class="col-md-8">
<div class="panel panel-default panel-pokestatus">
  <div class="panel-heading">
    <h3 class="panel-title">Pokemon GO Status API</h3>
  </div>
  
 
<div class="panel-body">
<h4>Server status API</h4>
<p>We provide a simple JSON API for all the data on our website.</p>
<hr>
<h3>How to use:</h3>
<p>To use our API just create a simple GET request to the following URL.</p>
<code><?php echo $config['site_url']; ?>/api.php</code>
<hr>
<h3>Cache:</h3>
<p>Our API is cached and updates every 2 minutes.</p>
<hr>
<h3>Be considerate:</h3>
<p>To keep our service fair and fast, please also cache data you receive from our API.</p>
</div>


<div class="panel-footer">

</div>

  </div>
</div>

<div class="col-md-4">
<div class="panel panel-default panel-pokestatus">
  <div class="panel-heading">
    <h3 class="panel-title">Sample data (Not live data)</h3>
  </div>
  
 <div class="panel-body">
<textarea class="form-control" rows="15">
[{"server":"Main Server","ping":0.053228,"status":"Okay"},{"server":" Google Login","ping":0.65072,"status":"Unstable"},{"server":" Poke Club Login","ping":0.42896,"status":"Okay"},{"server":" Germany","ping":0.2968,"status":"Okay"},{"server":" Italy","ping":0.39312,"status":"Okay"},{"server":" United Kingdom","ping":0.25088,"status":"Okay"},{"server":" United States","ping":0.27552,"status":"Okay"},{"server":"Australia","ping":0.22624,"status":"Okay"},{"server":"Austria","ping":0.16128,"status":"Okay"},{"server":"Belgium","ping":0.16464,"status":"Okay"},{"server":"Bulgaria","ping":0.17024,"status":"Okay"},{"server":"Canada","ping":0.1624,"status":"Okay"},{"server":"Croatia","ping":0.1568,"status":"Okay"},{"server":"Czech Republic","ping":0.1904,"status":"Okay"},{"server":"Denmark","ping":0.19936,"status":"Okay"},{"server":"Estonia","ping":0.1848,"status":"Okay"},{"server":"Finland","ping":0.2352,"status":"Okay"},{"server":"France","ping":0.17472,"status":"Okay"},{"server":"Greece","ping":0.19264,"status":"Okay"},{"server":"Hong Kong 香港","ping":0.16016,"status":"Okay"},{"server":"Hungary","ping":0.18928,"status":"Okay"},{"server":"Iceland","ping":0.16352,"status":"Okay"},{"server":"Ireland","ping":0.63056,"status":"Unstable"},{"server":"Japan 日本","ping":0.25312,"status":"Okay"},{"server":"Latvia","ping":0.24864,"status":"Okay"},{"server":"Lithuania","ping":0.24864,"status":"Okay"},{"server":"Luxembourg","ping":0.19264,"status":"Okay"},{"server":"Monaco","ping":0.1736,"status":"Okay"},{"server":"Netherlands","ping":0.20608,"status":"Okay"},{"server":"New Zealand","ping":0.21504,"status":"Okay"},{"server":"Norway","ping":0.17248,"status":"Okay"},{"server":"Poland","ping":0.17696,"status":"Okay"},{"server":"Portugal","ping":0.18256,"status":"Okay"},{"server":"Romania","ping":0.19376,"status":"Okay"},{"server":"Slovakia","ping":0.168,"status":"Okay"},{"server":"Slovenia","ping":0.17472,"status":"Okay"},{"server":"Spain","ping":0.20496,"status":"Okay"},{"server":"Sweden","ping":0.16688,"status":"Okay"},{"server":"Switzerland","ping":0.17024,"status":"Okay"}]

</textarea>

</div>

  </div>
</div>


</div>


</div>


<?php
require_once('includes/wrapper/footer.php');
?>