<?php 
   require_once('includes/wrapper/header.php');
   
   $pokemon = New PokemonGo();
   
   $poketime = json_decode($pokemon->getStatus(), true);
   
    ?>
<div class="container">
   <div class="row">
      <div class="col-md-6">
         <div class="panel panel-default panel-pokestatus">
            <div class="panel-heading">
               <h3 class="panel-title">Main Game/Data Server</h3>
            </div>
            <div class="panel-body <?php echo $poketime[0]['status']; ?>"><?php echo $poketime[0]['status']; ?></div>
            <div class="panel-footer">Server Latency: <code><?php echo $poketime[0]['ping']; ?>s</code></div>
         </div>
      </div>
      <div class="col-md-6">
         <div class="panel panel-default panel-pokestatus">
            <div class="panel-heading">
               <h3 class="panel-title">This page will update in</h3>
            </div>
            <div class="panel-body time"><span class="timer">60</span>s</div>
            <div class="panel-footer"><a href="<?php echo $config['site_url']; ?>">Update now?</a></div>
         </div>
      </div>
   </div>
<?php if($config['enable_ads'] == 'true') { ?>
   <div class="row">
      <div class="col-md-12">
         <div class="panel panel-default panel-pokestatus">
            <div class="panel-body ad"><?php include_once('includes/wrapper/ad.php'); ?></div>
         </div>
      </div>
   </div>
<? } ?>
   <div class="row">
      <div class="col-md-4">
         <div class="panel panel-default panel-pokestatus">
            <div class="panel-heading">
               <h3 class="panel-title">Google Login</h3>
            </div>
            <div class="panel-body <?php echo $poketime[1]['status']; ?>"><?php echo $poketime[1]['status']; ?></div>
            <div class="panel-footer">Server Latency: <code><?php echo $poketime[1]['ping']; ?>s</code></div>
         </div>
      </div>
      <div class="col-md-4">
         <div class="panel panel-default panel-pokestatus">
            <div class="panel-heading">
               <h3 class="panel-title">PTC Login</h3>
            </div>
            <div class="panel-body <?php echo $poketime[2]['status']; ?>"><?php echo $poketime[2]['status']; ?></div>
            <div class="panel-footer">Server Latency: <code><?php echo $poketime[2]['ping']; ?>s</code></div>
         </div>
      </div>
      <div class="col-md-4">
         <div class="panel panel-default panel-pokestatus">
            <div class="panel-heading">
               <h3 class="panel-title">Latency Avg</h3>
            </div>
            <div class="panel-body avg"><?php echo $pokemon->getAvg(); ?></div>
            <div class="panel-footer">Average server latency in seconds</div>
         </div>
      </div>
   </div>
   <div class="panel panel-default panel-pokestatus">
      <div class="panel-heading">
         <h3 class="panel-title">All Regional Servers</h3>
      </div>
      <div class="panel-body">
         <table class="table table-striped">
            <thead>
               <tr>
                  <th>Server Region</th>
                  <th>Latency /s</th>
                  <th>Server Status</th>
               </tr>
            </thead>
            <tbody> 
               <?php foreach($poketime as $k => $v) {
                  if($v['server'] == ' Google Login' || $v['server'] == ' Poke Club Login' || $v['server'] == 'Main Server') {
                  
                  
                  } else {
                  
                  echo '<tr><td>' . $v['server'] . '</td>' . '<td><code>' . $v['ping'] . 's</code></td><td><span class="status-'. $v['status'] .'">' . $v['status'] . '</span></td></tr>';
                  
                  }
                  
                  }
                  ?>
            </tbody>
         </table>
      </div>
      <div class="panel-footer"><i>All values cached for 2 minutes.</i><br>We are in no way affiliated with, or endorsed by Niantic or The Pokemon Company.</div>
   </div>
</div>
<?php
   require_once('includes/wrapper/footer.php');
   ?>