<?php
Class PokemonGo
{
	public function __construct()
	{
		$this->api = 'http://api.emberthemes.net/pgo/';
		$this->uri = $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
		$this->time = time();
	}

	private function pokeReq()
	{

		// Let's "poke" the api for a response ;D

		$curl = curl_init();
		curl_setopt_array($curl, array(
			CURLOPT_RETURNTRANSFER => 1,
			CURLOPT_AUTOREFERER => 1,
			CURLINFO_HEADER_OUT => 1,
			CURLOPT_CONNECTTIMEOUT => 5,
			CURLOPT_URL => $this->api . '?uri=' . $this->uri . '&?time=' . $this->time
		));
		$execute = curl_exec($curl);
		return $execute;
	}

	public function getStatus()
	{
		$jfile = 'includes/status.json';
		$expire = time() - 120; // Do not raise this, or we may revoke your api access.
		if (file_exists($jfile)) {
			if (filectime($jfile) < $expire || file_get_contents($jfile) == '') {
				$jdata = $this->pokeReq();
				if ($jdata) {
					file_put_contents($jfile, $jdata);
				}
				else {

					// Do nothing

				}
			}
			else {
				$jdata = file_get_contents($jfile);
			}

			return $jdata;
		}
	}

	public function getAvg()
	{
		$pdata = json_decode($this->getStatus() , true);
		foreach($pdata as $latency) {
			$parray[] = $latency['ping'];
		}

		return round(array_sum($parray) / count($parray) , 5);
	}
}

?>