<?php
header('Content-Type: text/html; charset=utf-8');
require_once('includes/config.php');
require_once('includes/class/pokemon.class.php');
?>

<html>
<head>
    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="<?php echo $config['site_description']; ?>">

    <link rel="icon" href="<?php echo $config['site_url']; ?>/assets/img/favicon.png">

    <title><?php echo $config['site_title']; ?></title>

    <link href='https://fonts.googleapis.com/css?family=Lato:400,300,700' rel='stylesheet' type='text/css'>


    <link href="<?php echo $config['site_url']; ?>/assets/css/bootstrap.min.css" rel="stylesheet">

    <link href="<?php echo $config['site_url']; ?>/assets/css/ember.css" rel="stylesheet">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>
<nav class="navbar navbar-default navbar-static-top navbar-pokestatus">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="<?php echo $config['site_url']; ?>"><?php echo $config['site_name']; ?></a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <?php if($config['enable_api'] == 'true') { ?><li><a href="dev.php">Status API</a></li><? } ?>
          </ul>
         <form class="navbar-form navbar-right">
          <a class="btn btn-refresh">Refresh Now</a>
         </form>
        </div><!--/.nav-collapse -->
      </div>
    </nav>
